ChangeSet 1.1276.1.27, 2003/08/27 10:53:35-07:00, bellucda@tiscali.it

[PATCH] Audit and minor cleanups in drivers/usb/*

- if usb_register fails report back its return code rather than -1


 drivers/usb/input/kbtab.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/input/kbtab.c b/drivers/usb/input/kbtab.c
--- a/drivers/usb/input/kbtab.c	Tue Sep  2 12:44:59 2003
+++ b/drivers/usb/input/kbtab.c	Tue Sep  2 12:44:59 2003
@@ -216,9 +216,13 @@
 
 static int __init kbtab_init(void)
 {
-	usb_register(&kbtab_driver);
+	int retval;
+	retval = usb_register(&kbtab_driver);
+	if (retval)
+		goto out;
 	info(DRIVER_VERSION ":" DRIVER_DESC);
-	return 0;
+out:
+	return retval;
 }
 
 static void __exit kbtab_exit(void)
